<? if ( $this->actionError && ! $this->is_active ): ?>
	<div class="error-message"><?= $this->actionError ?></div>
<? endif ?>
	
<? $counter = 0; foreach ( $this->escorts as $escort ): $escort = new Model_EscortItem($escort); ?>
	
	<div class="p-escort">
		<form action="" method="post">
			<input type="hidden" name="is_active" value="0" />
			<input type="hidden" name="escort_id" value="<?= $escort->id ?>" />
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>"><?= $escort->showname ?></a>(ID <?= $escort->id ?>)<br/>
			<div class="image fleft">
				<a class="wrap" style="position: relative" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>">
					<img src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>" width="90" height="120" alt="<?= $escort->showname ?>" />
					<? if ( $escort->is_suspicious ): ?>
					<span class="suspicious"></span>
					<? endif; ?>
				</a>
				<br/>
				<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" title="<?= $escort->showname ?>">view profile</a>
			</div>


			<? if ( $this->escortStatus == -1 ): ?>
			<div class="fleft actions-wrapper">
				<div class="actions bot-sep" style="border: 0 none">
					<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'restore');"><img src="<?= _st('_/btn_activate-small_' . $this->lang() . '.gif') ?>" alt="Restore" /></button>
				</div>	
			</div>
			<? else: ?>
				
				<div class="fleft actions-wrapper">
					<div class="actions bot-sep">
						<? if ( !$escort->is_suspicious ): ?>			
						<button onclick="return editProfile(this)"><img src="<?= _st('_/btn_edit-profile-small_' . $this->lang() . '.gif') ?>" alt="Edit Profile" /></button><br/>
						<? endif; ?>
						<button onclick="return editGallery(this)"><img src="<?= _st('_/btn_edit-gallery-small_' . $this->lang() . '.gif') ?>" alt="Edit Gallery" /></button>
					</div>
					<div class="actions" style="border: 0 none">
						<? if ( $this->escortStatus ): ?>
						<? /*<button value="deactivate" name="a" type="submit"><img alt="Deactivate" src="<?= _st('_/btn_deactivate-small.gif') ?>"></button>*/ ?>
						<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'deactivate');"><img src="<?= _st('_/btn_deactivate-small_' . $this->lang() . '.gif') ?>" alt="Deactivate" /></button><br/>
						<? else: ?>
						<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'activate');"><img src="<?= _st('_/btn_activate-small_' . $this->lang() . '.gif') ?>" alt="Activate" /></button><br/>
						<? endif; ?>

						<? if ( !$escort->package ): ?>
						<button onclick="return Cubix.Agencyescort.Action(<?= $escort->id ?>, 0,'delete');" ><img src="<?= _st('_/btn_delete-small_' . $this->lang() . '.gif') ?>" alt="Delete" /></button><br/>
						<? endif; ?>
					</div>
				</div>					
			<? endif; ?>

			<div class="clear"></div>
			<? if ( $this->escortStatus == -1 ): ?>
			<p class="error-message" style="font-size: 10px;">Account will be removed After <?= ceil(  48 - (time() - strtotime($escort->deleted_date) + 60 )/3600 ) ; ?> hours</p>
			<? endif; ?>
			
			<? if ( $escort->package ): ?>
			<div class="blue-bg">
				<div>
					<?= __('package') ?>:
					<b><?= $escort->package ?></b><br />
					<?= __('expire') ?>: <b><?= date('d.m.Y',strtotime($escort->expiration_date)); ?></b>
				</div>
				<? if ( !$escort->is_suspicious ): ?>
				<div class="fl w90" >
					<? /*<button onclick="return Cubix.Agencyescort.Popup.Show(250,900,<?php echo $escort->id; ?>);" ><img src="<?= _st('_/edit_package_btn_v2_' . $this->lang() . '.png') ?>" alt="Change" /></button>*/ ?>
					<? if ( $escort->show_extend_button ): ?>
					<button onclick="return Cubix.ExtendPopup.Show(451, 304, <?= $escort->id; ?>, <?= $escort->package_id ?>, <?= $escort->opid ?>);" ><img src="<?= _st('_/extend_btn_' . $this->lang() . '.png') ?>" alt="Extend Package" /></button>
					<? endif; ?>
				</div>
				<? endif; ?>
				<div class="clear"></div>
			</div>	
			<? endif; ?>
		</form>
	</div>
	
	<div class="c-sep"></div>
	
	 <? if ( ($counter + 1) % 3 == 0 ): ?>
		<div class="clear"></div>
	<? endif; ?>
	<? $counter++; ?>
		
<? endforeach ?>


<div class="clear"></div>
<? $per_page = $this->escorts_per_page; ?>
<? $pages_count = ceil($this->escorts_count / $per_page); ?>

<? if ( $pages_count != 1 ): ?>
<p class="dashboard-paging">
	<? $pages = $this->paging($this->escorts_count, $this->current_page, $per_page, 4); ?>
	<? if ( 1 < $this->current_page): ?>
		<a class="prev" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page - 1) ?>,<?= ($this->escortStatus)?$this->escortStatus:0; ?>, '<?= $this->showname ?>','<?= $this->sort ?>');"><?= __('previous_m') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
	<? if ( $this->current_page == $page ): ?>
		<span><?= $page ?></span>
	<? else: ?>
		<a class="p" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= $page ?>,<?= ($this->escortStatus)?$this->escortStatus:0; ?>, '<?= $this->showname ?>','<?= $this->sort ?>');"><?= $page ?></a>
	<? endif ?>
	<? endforeach ?>

	<? if ( $pages_count > $this->current_page): ?>
		<a class="next" href="#" onclick="return Cubix.Agencyescort.Load('<?= $this->lang() ?>', <?= ($this->current_page + 1) ?>,<?= ($this->escortStatus)?$this->escortStatus:0; ?>, '<?= $this->showname ?>','<?= $this->sort ?>');"><?= __('next_m') ?></a>
	<? endif ?>
</p>
<? endif; ?>